Вход | Регистрация
 

Через какую версию обновить ЗУП 3

Через какую версию обновить ЗУП 3
Я
   ГдеСобакаЗарыта
 
11.08.20 - 10:55
Имею ЗУП КОРП 3.1.10.50. Нужно обновить до последнего 3.1.14.154. Есть два варианта:
1. Обновить 10-ю подредакцию до конца до 10.531 и потом на 14.154
2. Обновлять по подредакциям 11-12-13-14
И я как богатырь перед камнем: налево пойдешь - коня потеряешь, направо - жизнь. И там и там 10 промежуточных релизов. Собственно кто уже ходил этими тропами подскажите куда свернуть, чтоб с минимумом усилий до финиша добраться.
   ГдеСобакаЗарыта
 
1 - 11.08.20 - 10:56
Ах, да. Конфа прилично доработана.
   RoRu
 
2 - 11.08.20 - 10:59
(1) а почему именно сейчас решили с 3 1 10 слезть ?
я бы вообше обновил пока до последнего 3 1 10, если вы так долго на нём
   RoRu
 
3 - 11.08.20 - 11:00
(2) + несмотря на все их заявления, пока 10 поддерживают более своевременно чем 14
   ГдеСобакаЗарыта
 
4 - 11.08.20 - 11:03
(2) База не боевая. Это проект по переходу с 2.5. Адаптировать 3.1 начали с 10.50 и не обновляли. Сейчас адаптация закончена, надо обновить до 14-ой редакции.
   Фрэнки
 
5 - 11.08.20 - 11:08
(4) Так если реальных данных нет, то зачем тогда "обновлять" ?

Возьми самый свежий 3.1.14 и вкорячивай прямо в него свою нетленку. Без обновлений.
   ГдеСобакаЗарыта
 
6 - 11.08.20 - 11:09
(5) А че, так можно было?
   Фрэнки
 
7 - 11.08.20 - 11:09
Все равно после получения как бы обновленной и актуальной 3.1.14 ее придется тестировать и возможно, что и ошибки исправлять.
   Фрэнки
 
8 - 11.08.20 - 11:13
(6) Вы взяли типовую. Внесли кучу изменений. Теперь между состоянием 3.1.10.50 и реальным состоянием есть какое-то количество доработок.
В процессе обновления релиз за релизом, рано или поздно, но с очень высокой вероятностью попадешь, что доработку придется добавлять/восстанавливать внутри накатываемого релиза.
При условии, что самый новый релиз == смена подредакции, причем где-то же там и БСП подменяется.
   ГдеСобакаЗарыта
 
9 - 11.08.20 - 11:23
(8) Логично. Че-то я сразу не подумал. Но некие тестовые данные в базе все-таки есть, в т.ч. перенесенные из 2.5.
Значит план следующий: я возьму пустую базу на 14.154, перенесу туда свои доработки, потом полученный cf загружу в тестовую 10.50 и все будет почти хорошо.
   вым
 
10 - 11.08.20 - 11:28
(3) >>пока 10 поддерживают более своевременно чем 14
https://buhexpert8.ru/1s-zup/glavnaya-1s-zup/goryachie-temy-1s-zup/vnimanie-zakanchivaetsya-podderzhka-zup-3-1-10.html
В сентябре 2020 г. закончится поддержка ЗУП 3.1.10. За оставшийся месяц рекомендуется перейти на версию ЗУП 3 длительного сопровождения — на 3.1.14.

или нет?
   ГдеСобакаЗарыта
 
11 - 11.08.20 - 11:29
+(9) Но тогда вылезет много чего, что станет неуникальным. И база не будет запускаться ибо обработчики обновления будут вываливаться с ошибками. Тоже гемор же. А хочется все-таки некие тестовые данные еще погонять в новом релизе
   hhhh
 
12 - 11.08.20 - 11:54
(11) ну, изначально понятно, что обновлять на 3.1.11 - это дебилизм, это две абсолютно разные программы. Поэтому единственный вариант - обновить на 3.1.14.
   Фрэнки
 
13 - 11.08.20 - 12:03
(9) так и еще момент, если данные переносились из 2.5 но это делалось в целях тестирования, а не реального переноса - так нужно ведь протестировать, как будет выполняться перенос на 3.1.14

С учетом внесения изменений в типовую, это может быть на чем-то неожиданный результат и придется в самом страшном случае переносить из 2.5 в 3.1.10 и уже после этого запрыгивать в 3.1.14.
Но я думаю, что когда протестируете пробным переносом, то все выявленные глюки поправите. Заодно и тестовая база будет уже с актуальными данными для продолжения работ.

Список тем форума
Рекламное место пустует  Рекламное место пустует
ВНИМАНИЕ! Если вы потеряли окно ввода сообщения, нажмите Ctrl-F5 или Ctrl-R или кнопку "Обновить" в браузере.